expectation {testthat} | R Documentation

## Construct an expectation object

### Description

For advanced use only. If you are creating your own expectation, you should call `expect()` instead. See `vignette("custom-expectation")` for more details.

### Usage

    expectation(type, message, srcref = NULL)

    is.expectation(x)

### Arguments

`type` | Expectation type. Must be one of "success", "failure", "error", "skip", "warning".
`message` | Message describing test failure
`srcref` | Optional `srcref` giving location of test.
`x` | object to test for class membership

[Package testthat version 2.1.1 Index]